# $Revision: 1.25 $, $Date: 2006/09/04 14:31:02 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	LDAP
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - OO interface for searching and manipulating LDAP-entries
Summary(pl):	%{_pearname} - obiektowy interfejs do przeszukiwania i modyfikowania wpisw LDAP
Name:		php-pear-%{_pearname}
Version:	0.6.6
Release:	4
Epoch:		0
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d19f11c671122d0ff30928d86a868096
Patch0:		%{name}-path_fix.patch
Patch1:		%{name}-bug-8286.patch
URL:		http://pear.php.net/package/Net_LDAP/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_pearname} is a clone of Perl's Net::LDAP object interface to
ldapservers. It does not contain all of Net::LDAP features (ldif
handling, schemas, etc), but has:
- a simple OO interface to connections, searches and entries
- support for TLS and ldap v3
- simple modification, deletion and creation of ldapentries

In PEAR status of this package is: %{_status}.

%description -l pl
%{_pearname} jest klonem perlowego Net::LDAP, czyli zorientowanego
obiektowo interfejsu do serwerw LDAP. Nie posiada wszystkich
moliwoci Net::LDAP (obsuga ldif, schematy, itp), ale ma nastpujce
cechy:
- prosty interfejs obiektowy do pocze, wyszukiwa i dodawania
  nowych pozycji
- obsuga TLS i LDAP v3
- moliwo prostych modyfikacji, usuwania i tworzenia wpisw LDAP.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

rm -f docs/%{_pearname}/LICENSE # GPL V2.1

install -d ./%{php_pear_dir}/tests/%{_pearname}
mv docs/%{_pearname}/tests/* ./%{php_pear_dir}/tests/%{_pearname}
rmdir docs/%{_pearname}/tests

%patch1 -p1
cd ./%{php_pear_dir}/%{_class}
%patch0 -p2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_LDAP.spec,v $
Revision 1.25  2006/09/04 14:31:02  glen
- variable ref warning fixes, rel 4

Revision 1.24  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.23  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.22  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.21  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.20  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.19  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.18  2005/09/28 23:47:33  glen
- new pear packaging; fixed license; rel 2

Revision 1.17  2005/03/27 12:55:17  adamg
- updated to 0.6.6

Revision 1.16  2004/12/05 00:15:22  adamg
- added path_fix.patch (fixes path to Net/LDAP/{Entry,Search}.php)
- release 3

Revision 1.15  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.14  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.13  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.12  2004/03/10 22:09:15  adamg
- updated to 0.6.5

Revision 1.11  2004/02/07 19:17:20  adamg
- updated to 0.6.4

Revision 1.10  2003/11/30 16:09:33  adamg
- updated to 0.6.3

Revision 1.9  2003/11/22 20:43:45  adamg
- updated to 0.6.2

Revision 1.8  2003/10/11 13:20:17  adamg
- updated to 0.5

Revision 1.7  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.6  2003/10/01 22:36:13  adamg
- updated to 0.4

Revision 1.5  2003/09/21 21:49:18  adamg
- updated to 0.3

Revision 1.4  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.3  2003/08/31 11:16:52  adamg
- updated to 0.2

Revision 1.2  2003/08/16 00:45:56  qboosh
- pl cosmetics

Revision 1.1  2003/08/13 10:50:14  adamg
- initial import
